bug-bash
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Several issues with coprocesses regarding exit status


From: Chet Ramey
Subject: Re: Several issues with coprocesses regarding exit status
Date: Thu, 13 Dec 2012 14:32:29 -0500
User-agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:17.0) Gecko/17.0 Thunderbird/17.0

On 12/12/12 3:11 AM, Andreas Schwab wrote:

>>   To reproduce:
>>     if ! coproc false; then echo error1 >&2; fi; wait "$COPROC_PID" || echo
>> error2 >&2
> 
> This has nothing to do with if but with ! which doesn't appear to work
> in this context.

Correct; good catch.  It was an oversight and will be fixed in the next
version.  It's interesting that nobody noticed it before now.

Chet


-- 
``The lyf so short, the craft so long to lerne.'' - Chaucer
                 ``Ars longa, vita brevis'' - Hippocrates
Chet Ramey, ITS, CWRU    address@hidden    http://cnswww.cns.cwru.edu/~chet/



reply via email to

[Prev in Thread] Current Thread [Next in Thread]